%define mod_name py2pack

Name:           python-%{mod_name}
Version:        0.4.4
Release:        %mkrel 3
Url:            http://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         https://pypi.python.org/packages/source/p/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-jinja2
Requires:       python-jinja2

%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and changelogs making it an
universal tool to package Python modules.

%prep
%setup -q -n %{mod_name}-%{version}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --prefix %{_prefix} --root %{buildroot}
# The setup script installs stuff into '/usr/local', move stuff around accordingly
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{mod_name}.* %{buildroot}%{_mandir}/man1
chmod 0644 %{buildroot}%{_mandir}/man1/*
install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}/%{_docdir}/%{mod_name} %{buildroot}%{_docdir}/%{name}
chmod 0755 %{buildroot}/%{_bindir}/* %{buildroot}/%{python_sitelib}/%{mod_name}/%{mod_name}*

%check
#make test

%files
%doc AUTHORS LICENSE README.rst
%{_mandir}/man1/*
%{_bindir}/%{mod_name}
%{python_sitelib}/%{mod_name}*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 543980
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.4-2.mga4
+ Revision: 499134
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 0.4.4-1.mga4
+ Revision: 471739
- update to 0.4.4

* Sun Jan 13 2013 umeabot <umeabot> 0.3.21-2.mga3
+ Revision: 379290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 0.3.21-1.mga2
+ Revision: 158295
- silent fix group
- New upstream 0.3.2.21

* Mon May 09 2011 saispo <saispo> 0.3.15-1.mga1
+ Revision: 96637
- imported package python-py2pack

